Viewing Issue Advanced Details Jump to Notes ] seicross.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04672 Sound Minor Always Feb 12, 2012, 02:44 Feb 15, 2012, 20:21
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver seicross.cpp
Version 0.145 Fixed in Version 0.145u1 Build Normal
Summary 04672: radrad: [possible] Broken shot sound (DAC)
Description The shot sound (DAC) in Radical Radial is incorrect since MAME 0.141u3.
Steps To Reproduce
Additional Information
Flags Possible
Regression Version 0.141u3
Affected Sets / Systems radrad
Attached Files
png file icon nsc8105-source-change.png (25,534 bytes)  Feb 12, 2012, 21:16 by M.A.S.H.
M.A.S.H.


-  Notes
User avatar
No.08185
Tafoid
(Administrator)
Feb 12, 2012, 15:24
I'd like to see some original documentation audio or video showing the actual expected behavior. Labeled POSSIBLE.
User avatar
No.08186
M.A.S.H.
(Senior Tester)
Feb 12, 2012, 15:43
[possible] is wrong. It was the source cleanup in 0.141u3 that breaks the DAC in Radical Radial.
Changed the Summary...
User avatar
No.08187
Tafoid
(Administrator)
Feb 12, 2012, 17:57
Source cleanup?
  
My assigning "possible" was based on testing daily binary builds between the working and broken revisions, determining the exact range (day) the breaking occurs. The only conceivable issue on that day February 19th, 2011 that might have effect was one change that involved an m6800 cpu change in regards to illegal opcodes (NSC8105 - a 6800-based MCU) . Not knowing exactly how it is 'supposed' to sound like is a rather major hurdle to jump over before we know if the changes made to a major cpu core are correct or not. I labeled it as possible and it should stay that way until someone can CONFIRM the actual shooting sound behavior. Just because something has "been that way forever" in MAME does not make it 100% correct. For all I know it could be correct but if we are making core changes - we want to make 100% sure.

Re-flagging for the time being. MASH, you were made a Senior Tester to help the site and assist the decisions of the Devs and Admins, not go against them. Next time talk about it before reverting such decisions.

Thank you.
User avatar
No.08188
M.A.S.H.
(Senior Tester)
Feb 12, 2012, 21:16
I found the revision who broke the DAC sound. It's r11637 (2011-02-19 decrease invalid opcode cycles).
The cycles of the unknown opcodes were changed in the sound cpu NSC8105 (see picture).
Especially opcode 42 (row /*4*/ and column 2). If you changed it in MAME 0.145 source back to 99
the DAC sounds correct again like in MAME 0.141u2.
User avatar
No.08189
hap
(Developer)
Feb 13, 2012, 10:00
6MHz is probably too fast, I lowered it now
User avatar
No.08206
hap
(Developer)
Feb 15, 2012, 20:21
btw, pcb pictures/recording or youtube video(with sound!), of seicross or radrad, would still be helpful here